[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[5693] get input keystrokes a different way for info tests
From: |
Gavin D. Smith |
Subject: |
[5693] get input keystrokes a different way for info tests |
Date: |
Tue, 01 Jul 2014 12:38:54 +0000 |
Revision: 5693
http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5693
Author: gavin
Date: 2014-07-01 12:38:52 +0000 (Tue, 01 Jul 2014)
Log Message:
-----------
get input keystrokes a different way for info tests
Modified Paths:
--------------
trunk/ChangeLog
trunk/info/pseudotty.c
trunk/info/t/Cleanup.inc
trunk/info/t/README
trunk/info/t/body-start.sh
trunk/info/t/end-of-line.sh
trunk/info/t/goto-quoted.sh
trunk/info/t/index-apropos.sh
trunk/info/t/index-long-nodeline.sh
trunk/info/t/index.sh
trunk/info/t/last-no-history.sh
trunk/info/t/menu-sequence.sh
trunk/info/t/next-quoted.sh
trunk/info/t/quoted-label-and-target.sh
trunk/info/t/quoted-label-as-target.sh
trunk/info/t/quoted-target.sh
trunk/info/t/search-after-tag.sh
trunk/info/t/split-file-menu.sh
trunk/info/t/split-index.sh
trunk/info/t/tab.sh
Added Paths:
-----------
trunk/info/t/Init-inter.inc
Removed Paths:
-------------
trunk/info/t/Init-intera.inc
trunk/info/t/back-to-top.drib
trunk/info/t/body-start.drib
trunk/info/t/end-of-line.drib
trunk/info/t/goto-quoted.drib
trunk/info/t/index-apropos.drib
trunk/info/t/index-long-nodeline.drib
trunk/info/t/index.drib
trunk/info/t/last-no-history.drib
trunk/info/t/menu-sequence.drib
trunk/info/t/next-quoted.drib
trunk/info/t/quoted-label-and-target.drib
trunk/info/t/quoted-label-as-target.drib
trunk/info/t/quoted-target.drib
trunk/info/t/search-after-tag.drib
trunk/info/t/split-index.drib
trunk/info/t/tab.drib
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/ChangeLog 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,3 +1,21 @@
+2014-07-01 Gavin Smith <address@hidden>
+
+ * info/pseudotty.c: Read bytes from file descriptor 3 and feed into
+ master side of pseudoterminal.
+ * info/t/Init-intera.inc, info/t/Init-inter.inc: File renamed. Create
+ a pair of named pipes to communicate with pseudotty program. Get
+ name of pseudoterminal slave device using shell builtin 'read'.
+ * info/t/Cleanup.inc: Delete named pipes.
+ * info/t/body-start.sh, info/t/end-of-line.sh, info/t/goto-quoted.sh,
+ info/t/index-apropos.sh, info/t/index-long-nodeline.sh,
+ info/t/index.sh, info/t/last-no-history.sh, info/t/menu-sequence.sh,
+ info/t/next-quoted.sh, info/t/quoted-label-and-target.sh,
+ info/t/quoted-label-as-target.sh, info/t/quoted-target.sh,
+ info/t/search-after-tag.sh, info/t/split-file-menu.sh,
+ info/t/split-index.sh, info/t/tab.sh: Specify input keystrokes by
+ feeding into named pipe instead of using --dribble option.
+ * info/t/README: Updated.
+
2014-06-29 Gavin Smith <address@hidden>
* info/footnotes.c (info_get_or_remove_footnotes): Null check to avoid
Modified: trunk/info/pseudotty.c
===================================================================
--- trunk/info/pseudotty.c 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/pseudotty.c 2014-07-01 12:38:52 UTC (rev 5693)
@@ -19,15 +19,23 @@
#define _XOPEN_SOURCE
-#include <stdlib.h>
+#include <config.h>
+#include <errno.h>
#include <stdio.h>
#include <fcntl.h>
+#include <unistd.h>
#include <sys/ioctl.h>
+#include <sys/types.h>
+#include <stdlib.h>
int master;
char *name;
char dummy;
+fd_set read_set;
+
+#define CONTROL 3
+
main ()
{
error (0, 0, "getting pty master fd");
@@ -47,11 +55,47 @@
printf ("%s\n", name);
fclose (stdout);
+ FD_ZERO (&read_set);
+
error (0, 0, "entering main loop");
while (1)
- if (read (master, &dummy, 1) <= 0)
- {
- error (0, 0, "read error");
- sleep (1); /* Don't flood stderr with error messages. */
- }
+ {
+ int ret;
+
+ FD_SET (master, &read_set);
+ FD_SET (CONTROL, &read_set);
+
+ ret = select (FD_SETSIZE, &read_set, 0, 0, 0);
+ if (FD_ISSET (CONTROL, &read_set))
+ {
+ int c, success;
+ errno = 0;
+ do
+ success = read (CONTROL, &c, 1);
+ while (success != 1 && errno == EINTR);
+ if (!success)
+ {
+ error (0, 0, "read error on control channel");
+ sleep (1);
+ }
+ else
+ {
+ /* Feed any read bytes to the program being controlled. */
+ write (master, &c, 1);
+ }
+ }
+ if (FD_ISSET (master, &read_set))
+ {
+ int c, success;
+ errno = 0;
+ do
+ success = read (master, &c, 1);
+ while (success != 1 && errno == EINTR);
+ if (!success)
+ {
+ error (0, 0, "read error on master fd");
+ sleep (1); /* Don't flood stderr with error messages. */
+ }
+ }
+ }
}
Modified: trunk/info/t/Cleanup.inc
===================================================================
--- trunk/info/t/Cleanup.inc 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/Cleanup.inc 2014-07-01 12:38:52 UTC (rev 5693)
@@ -2,6 +2,7 @@
# Delete created files and kill spawned processes if any.
rm -f $GINFO_OUTPUT
+rm -f $0.pipein $0.pipeout
test $PTY_PID -ne 0 && kill $PTY_PID
exit $RETVAL
Copied: trunk/info/t/Init-inter.inc (from rev 5650,
trunk/info/t/Init-intera.inc)
===================================================================
--- trunk/info/t/Init-inter.inc (rev 0)
+++ trunk/info/t/Init-inter.inc 2014-07-01 12:38:52 UTC (rev 5693)
@@ -0,0 +1,47 @@
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Initialize test of interactive operation
+# This file is not to be run directly
+
+# Avoid ginfo complaining that terminal is too dumb
+export TERM=vt100
+
+# Create named pipes to communicate with pseudotty program
+rm -f $0.pipein $0.pipeout
+mknod $0.pipein p
+mknod $0.pipeout p
+PTY_TYPE=$0.pipeout
+
+# We can feed input bytes into $PTY_TYPE to be passed onto ginfo. pseudotty
+# only reads from fd 3, but opening the pipe read-write means: (i) there will
+# always be a process with it open for writing, so pseudotty will not hang when
+# opening it; and (ii) select() will never return for an end-of-file on fd 3.
+./pseudotty >$0.pipein 3<>$PTY_TYPE &
+PTY_PID=$!
+
+# Get name of pseudo-terminal slave device
+read PTS_DEVICE <$0.pipein
+
+# Must redirect fd 0 read-write if we want to duplicate it for reading on fd 1
+echo "Redirecting stdin and stdout to $PTS_DEVICE."
+exec 0<>$PTS_DEVICE 1<&0
+
+# glibc can kill a running process if it detects a condition like a
+# double free. This specifies that the message it prints when it does
+# this should be sent to stderr so it can be recorded in the test *.log
+# files.
+export LIBC_FATAL_STDERR_=1
+
Deleted: trunk/info/t/Init-intera.inc
===================================================================
--- trunk/info/t/Init-intera.inc 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/Init-intera.inc 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,45 +0,0 @@
-# Initialize test of interactive operation
-# This file is not to be run directly
-
-# Code to redirect output to pseudoterminal
-# We could use AM_TESTS_FD_REDIRECT in Makefile.am instead, but
-# this would stop us from running test scripts from the command-line.
-
-# Avoid info complaining that terminal is too dumb
-export TERM=vt100
-
-GINFO_PTY_FILE=$0.pty
-rm -f $GINFO_PTY_FILE
-./pseudotty >$GINFO_PTY_FILE &
-PTY_PID=$!
-
-# Wait for pseudotty process to create file containing name
-# of pts device file to use for input/output.
-while test ! -f $GINFO_PTY_FILE
-do
- # Sleep for 1 ms if usleep is available
- usleep 1000 2>/dev/null || sleep 1
-done
-
-# Wait for file to actually appear, and to contain a
-# valid name of a device file.
-while :
-do
- PTS_DEVICE="$(cat $GINFO_PTY_FILE | tr -d '\n')"
- if test -c "$PTS_DEVICE"
- then
- break
- fi
- usleep 1000 2>/dev/null || sleep 1
-done
-rm -f $GINFO_PTY_FILE
-
-echo "Redirecting stdin and stdout to $PTS_DEVICE."
-exec 0>$PTS_DEVICE 1<&0
-
-# glibc can kill a running process if it detects a condition like a
-# double free. This specifies that the message it prints when it does
-# this should be sent to stderr so it can be recorded in the test *.log
-# files.
-export LIBC_FATAL_STDERR_=1
-
Modified: trunk/info/t/README
===================================================================
--- trunk/info/t/README 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/README 2014-07-01 12:38:52 UTC (rev 5693)
@@ -12,7 +12,7 @@
The tests fall into two categories: tests of non-interactive and
interactive operation.
-It is easy to create new tests by copying existing ones. Each test should
+New tests can be created by copying existing ones. Each test should
start with the lines
srcdir=${srcdir:-.}
@@ -22,7 +22,7 @@
out-of-source build with "make check". Tests of interactive operation
should follow with the line.
-. $t/Init-intera.inc
+. $t/Init-inter.inc
Any interactive test should also finish with
@@ -35,23 +35,17 @@
Tests of interactive operation
------------------------------
-These work with the "pseudotty" program in the info subdirectory, which
-creates a pseudo-terminal for the input and output of the program,
-so the program will happily enter interactive operation (its standard
-file descriptors pass the isatty library function), and avoid affecting
-the output of the terminal the test was invoked from. At the moment all it
-does is read and discard all input.
+These use the "pseudotty" program in the info subdirectory, which
+creates a pseudo-terminal for the input and output of the program.
+This allows the program to happily enter interactive operation (its standard
+file descriptors pass the isatty library function) and avoids affecting
+the output of the terminal the test was invoked from. pseudotty reads and
+discards all input on its stdin, and passes through any bytes read on file
+descriptor 3 into the pseudo-terminal.
-Input keystrokes are provided with the --restore option to the program.
-(It's possible that the pseudotty program will be changed to provide these
-keystrokes in future.) Testing of correct interactive operation is quite
-crude. At the moment all it does is test that the cursor is positioned in
-the right place by moving it to a reference to "Node 1" in "intera.info",
-following the reference and dumping the node reached to a file. (It can
-be compared with a target file in info/t/node-target, to check that we
-ended up where we thought we would.)
+Many of the tests of interactive operation try to position the cursor
+on a cross-reference by various means, follow the reference, and dump the node
+reached to a file. (It can be compared with a target file in
+info/t/node-target, to check that we ended up where we thought we would.)
-Existing dribble files can be inspected with a hex dump program like "xxd",
-and can be recorded using the --dribble option.
-
Deleted: trunk/info/t/back-to-top.drib
===================================================================
--- trunk/info/t/back-to-top.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/back-to-top.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1 +0,0 @@
-tDq
\ No newline at end of file
Deleted: trunk/info/t/body-start.drib
===================================================================
--- trunk/info/t/body-start.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/body-start.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,3 +0,0 @@
-sPotential match
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/body-start.sh
===================================================================
--- trunk/info/t/body-start.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/body-start.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Check that node headers aren't included in searches
-$GINFO -f body-start --restore $t/body-start.drib
+printf 'sPotential match\r\rDq' >$PTY_TYPE &
+$GINFO -f body-start
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/end-of-line.drib
===================================================================
(Binary files differ)
Modified: trunk/info/t/end-of-line.sh
===================================================================
--- trunk/info/t/end-of-line.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/end-of-line.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Check that typing C-e on an empty line doesn't go to previous line
-$GINFO -f intera --restore $t/end-of-line.drib
+printf '\x0e\x0e\x0e\x0e\x0e\x05\x0e\rDq' >$PTY_TYPE &
+$GINFO -f intera
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/goto-quoted.drib
===================================================================
--- trunk/info/t/goto-quoted.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/goto-quoted.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,3 +0,0 @@
-g Colo
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/goto-quoted.sh
===================================================================
--- trunk/info/t/goto-quoted.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/goto-quoted.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Go to a node with colons and commas in its name with "g"
-$GINFO -f quoting --restore $t/goto-quoted.drib
+printf 'g\tColo\t\r\t\rDq' >$PTY_TYPE &
+$GINFO -f quoting
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/index-apropos.drib
===================================================================
--- trunk/info/t/index-apropos.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/index-apropos.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,4 +0,0 @@
-xindex-apropos
-link
-
-i q
\ No newline at end of file
Modified: trunk/info/t/index-apropos.sh
===================================================================
--- trunk/info/t/index-apropos.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/index-apropos.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,11 +16,12 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Type "M-x index-apropos", look for "link" in indices, select first
# result. Then type "i" followed by <TAB> to check the indices in the
# file are still there.
+printf '\033xindex-apropos\rlink\r\t\ri\t\x07q' >$PTY_TYPE &
$GINFO --restore $t/index-apropos.drib
RETVAL=$?
Deleted: trunk/info/t/index-long-nodeline.drib
===================================================================
--- trunk/info/t/index-long-nodeline.drib 2014-06-29 22:28:16 UTC (rev
5692)
+++ trunk/info/t/index-long-nodeline.drib 2014-07-01 12:38:52 UTC (rev
5693)
@@ -1,4 +0,0 @@
-gIndex
-
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/index-long-nodeline.sh
===================================================================
--- trunk/info/t/index-long-nodeline.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/index-long-nodeline.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,13 +16,13 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Follow an menu item from the index node to a node where physical lines
# don't match logical lines.
+printf 'gIndex\r\t\t\r\rDq' >$PTY_TYPE &
+$GINFO -f split
-$GINFO -f split --restore $t/index-long-nodeline.drib
-
if ! test -f $GINFO_OUTPUT
then
RETVAL=1
Deleted: trunk/info/t/index.drib
===================================================================
--- trunk/info/t/index.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/index.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,2 +0,0 @@
-iabc
-Dq
\ No newline at end of file
Modified: trunk/info/t/index.sh
===================================================================
--- trunk/info/t/index.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/index.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,12 +16,12 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Follow an index entry
+printf 'iabc\rDq' >$PTY_TYPE &
+$GINFO -f intera
-$GINFO -f intera --restore $t/index.drib
-
if ! test -f $GINFO_OUTPUT
then
RETVAL=1
Deleted: trunk/info/t/last-no-history.drib
===================================================================
--- trunk/info/t/last-no-history.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/last-no-history.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1 +0,0 @@
-lq
\ No newline at end of file
Modified: trunk/info/t/last-no-history.sh
===================================================================
--- trunk/info/t/last-no-history.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/last-no-history.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Try to go back in history when there is no earlier node
-$GINFO -f intera --restore $t/last-no-history.drib
+printf lq >$PTY_TYPE &
+$GINFO -f intera
RETVAL=$?
. $t/Cleanup.inc
Deleted: trunk/info/t/menu-sequence.drib
===================================================================
--- trunk/info/t/menu-sequence.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/menu-sequence.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,3 +0,0 @@
-xmenu-sequence
-file-menu,first,no,nod
-Dq
\ No newline at end of file
Modified: trunk/info/t/menu-sequence.sh
===================================================================
--- trunk/info/t/menu-sequence.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/menu-sequence.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# M-x menu-sequence
-$GINFO -f intera --restore $t/menu-sequence.drib
+printf '\033xmenu-sequence\rfile-menu,first,no,nod\rDq' >$PTY_TYPE &
+$GINFO -f intera
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/next-quoted.drib
===================================================================
--- trunk/info/t/next-quoted.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/next-quoted.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,2 +0,0 @@
-n
-Dq
\ No newline at end of file
Modified: trunk/info/t/next-quoted.sh
===================================================================
--- trunk/info/t/next-quoted.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/next-quoted.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Go to a node with colons and commas in its name with "n"
-$GINFO -f quoting --restore $t/next-quoted.drib
+printf 'n\t\rDq' >$PTY_TYPE
+$GINFO -f quoting
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/quoted-label-and-target.drib
===================================================================
--- trunk/info/t/quoted-label-and-target.drib 2014-06-29 22:28:16 UTC (rev
5692)
+++ trunk/info/t/quoted-label-and-target.drib 2014-07-01 12:38:52 UTC (rev
5693)
@@ -1,3 +0,0 @@
-
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/quoted-label-and-target.sh
===================================================================
--- trunk/info/t/quoted-label-and-target.sh 2014-06-29 22:28:16 UTC (rev
5692)
+++ trunk/info/t/quoted-label-and-target.sh 2014-07-01 12:38:52 UTC (rev
5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Follow a cross-reference with both the label and destination quoted.
-$GINFO -f quoting --restore $t/quoted-label-and-target.drib
+printf '\t\t\t\r\t\rDq' >$PTY_TYPE &
+$GINFO -f quoting
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/quoted-label-as-target.drib
===================================================================
--- trunk/info/t/quoted-label-as-target.drib 2014-06-29 22:28:16 UTC (rev
5692)
+++ trunk/info/t/quoted-label-as-target.drib 2014-07-01 12:38:52 UTC (rev
5693)
@@ -1,3 +0,0 @@
-
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/quoted-label-as-target.sh
===================================================================
--- trunk/info/t/quoted-label-as-target.sh 2014-06-29 22:28:16 UTC (rev
5692)
+++ trunk/info/t/quoted-label-as-target.sh 2014-07-01 12:38:52 UTC (rev
5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Follow a cross-reference to a node with colons and commas in its name
-$GINFO -f quoting --restore $t/quoted-label-as-target.drib
+printf '\t\r\t\rDq' >$PTY_TYPE &
+$GINFO -f quoting
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/quoted-target.drib
===================================================================
--- trunk/info/t/quoted-target.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/quoted-target.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,3 +0,0 @@
-
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/quoted-target.sh
===================================================================
--- trunk/info/t/quoted-target.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/quoted-target.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,9 +16,10 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Follow a cross-reference to a node with colons and commas in its name
+printf '\t\t\r\t\r\Dq' >$PTY_TYPE &
$GINFO -f quoting --restore $t/quoted-target.drib
if ! test -f $GINFO_OUTPUT
Deleted: trunk/info/t/search-after-tag.drib
===================================================================
(Binary files differ)
Modified: trunk/info/t/search-after-tag.sh
===================================================================
--- trunk/info/t/search-after-tag.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/search-after-tag.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -19,7 +19,8 @@
. $t/Init-intera.inc
# Search for text in a node that appears after an Info tag
-$GINFO -f intera --restore $t/search-after-tag.drib
+printf '/match\r\x06\x06\x06\x06\x06\x06\x06\x06\x06\x06\x06\rDq' >$PTY_TYPE &
+$GINFO -f intera -n Searching
if ! test -f $GINFO_OUTPUT
then
Modified: trunk/info/t/split-file-menu.sh
===================================================================
--- trunk/info/t/split-file-menu.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/split-file-menu.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,12 +16,13 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Follow a menu entry in a split file to a node in a different subfile from
# the one containing "Top". Check that we arrived properly and remembered
# that we are in a split file by going back to "Top" with "t".
-$GINFO -f split 'Second' --restore $t/back-to-top.drib
+printf tDq >$PTY_TYPE &
+$GINFO -f split 'Second'
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/split-index.drib
===================================================================
--- trunk/info/t/split-index.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/split-index.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,3 +0,0 @@
-ientry text
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/split-index.sh
===================================================================
--- trunk/info/t/split-index.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/split-index.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,11 +16,12 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Follow an index entry in a split file
-$GINFO -f split --restore $t/split-index.drib
+printf 'ientry text\r\rDq' >$PTY_TYPE
+$GINFO -f split
if ! test -f $GINFO_OUTPUT
then
Deleted: trunk/info/t/tab.drib
===================================================================
--- trunk/info/t/tab.drib 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/tab.drib 2014-07-01 12:38:52 UTC (rev 5693)
@@ -1,2 +0,0 @@
-
-Dq
\ No newline at end of file
Modified: trunk/info/t/tab.sh
===================================================================
--- trunk/info/t/tab.sh 2014-06-29 22:28:16 UTC (rev 5692)
+++ trunk/info/t/tab.sh 2014-07-01 12:38:52 UTC (rev 5693)
@@ -16,10 +16,11 @@
srcdir=${srcdir:-.}
. $srcdir/t/Init-test.inc
-. $t/Init-intera.inc
+. $t/Init-inter.inc
# Tab to first link and follow it
-$GINFO -f intera --restore $t/tab.drib
+printf '\t\rDq' >$PTY_TYPE &
+$GINFO -f intera
if ! test -f $GINFO_OUTPUT
then
@@ -30,5 +31,6 @@
RETVAL=$?
fi
+rm -f $0.pipein $0.pipeout
. $t/Cleanup.inc
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [5693] get input keystrokes a different way for info tests,
Gavin D. Smith <=